# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /tmp/abs_82802zpkox/clone/recipe, last modified Thu Aug  4 05:59:15 2022
# ------------------------------------------------

package:
  name: twisted
  version: 22.2.0
source:
  sha256: 57f32b1f6838facb8c004c89467840367ad38e9e535f8252091345dba500b4f2
  url: https://pypi.io/packages/source/T/Twisted/Twisted-22.2.0.tar.gz
build:
  entry_points:
    - cftp = twisted.conch.scripts.cftp:run
    - ckeygen = twisted.conch.scripts.ckeygen:run
    - conch = twisted.conch.scripts.conch:run
    - mailmail = twisted.mail.scripts.mailmail:run
    - pyhtmlizer = twisted.scripts.htmlizer:run
    - tkconch = twisted.conch.scripts.tkconch:run
    - trial = twisted.scripts.trial:run
    - twist = twisted.application.twist._twist:Twist.main
    - twistd = twisted.scripts.twistd:run
  number: '1'
  script:
    - /tmp/abs_82802zpkox/croots/recipe/twisted_1659592759417/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
      -m pip install . --no-deps -vv
  string: py38h5eee18b_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.6.15 py38h06a4308_0
    - cython 0.29.30 py38h6a678d5_0
    - incremental 21.3.0 pyhd3eb1b0_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py38h06a4308_0
    - python 3.8.13 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py38h06a4308_0
    - sqlite 3.39.0 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - appdirs >=1.4.0
    - attrs >=19.2.0
    - automat >=0.8.0
    - bcrypt >=3.0.0
    - constantly >=15.1
    - cryptography >=2.6
    - hyperlink >=17.1.1
    - idna >=2.4
    - incremental >=21.3.0
    - libgcc-ng >=11.2.0
    - pip
    - pyasn1
    - pyhamcrest >=1.9.0
    - pyopenssl >=16.0.0
    - python >=3.8,<3.9.0a0
    - service_identity >=18.1.0
    - typing_extensions >=3.6.5
    - zope.interface >=4.4.2
  run_constrained:
    - h2 >=3.0,<4.0
    - priority >=1.1.0,<2.0
    - pyserial >=3.0
test:
  commands:
    - pip check
    - ckeygen --help
    - cftp --help
    - conch --help
    - pyhtmlizer --help
    - trial --help
    - twist --help
    - twistd --help
  imports:
    - twisted
    - twisted._threads
    - twisted.application
    - twisted.application.runner
    - twisted.application.twist
    - twisted.conch
    - twisted.conch.client
    - twisted.conch.insults
    - twisted.conch.openssh_compat
    - twisted.conch.scripts
    - twisted.conch.ssh
    - twisted.conch.ui
    - twisted.cred
    - twisted.enterprise
    - twisted.internet
    - twisted.logger
    - twisted.mail
    - twisted.mail.scripts
    - twisted.names
    - twisted.pair
    - twisted.persisted
    - twisted.plugins
    - twisted.positioning
    - twisted.protocols
    - twisted.protocols.haproxy
    - twisted.python
    - twisted.runner
    - twisted.scripts
    - twisted.spread
    - twisted.tap
    - twisted.trial
    - twisted.trial._dist
    - twisted.web
    - twisted.web._auth
    - twisted.words
    - twisted.words.im
    - twisted.words.protocols
    - twisted.words.protocols.jabber
    - twisted.words.xish
  requires:
    - pip
    - pyhamcrest >=1.9.0
about:
  description: 'Twisted is an event-driven networking engine written in Python.

    It runs on Python 2 and an ever growing subset also works with Python 3.

    '
  dev_url: https://github.com/twisted/twisted
  doc_source_url: https://github.com/twisted/twisted/blob/trunk/docs/index.rst
  doc_url: http://twistedmatrix.com/documents/current/
  home: https://twistedmatrix.com/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: An asynchronous networking framework written in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 82238838-09e1-4435-ad2d-ad70db96e70d
  recipe-maintainers:
    - nehaljwani
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/twisted-feedstock.git
  sha: 210734dc3e44ea44002a03f9ef1b311e95d47245
